package com.example.fitmarcetplacekuzminiv

import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.compose.runtime.Composable
import androidx.compose.ui.tooling.preview.Preview
import androidx.lifecycle.viewmodel.compose.viewModel
import androidx.navigation.NavHostController
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController
import com.example.fitmarcetplacekuzminiv.Screens.AuthScreen
import com.example.fitmarcetplacekuzminiv.Screens.FirstScreen
import com.example.fitmarcetplacekuzminiv.Screens.MainScreen

class MainActivity : ComponentActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContent {
            AppNavigation()
        }
    }
}

@Composable
fun AppNavigation() {
    val navController = rememberNavController()
    val mainViewModel: MainViewModel = viewModel() // Инициализируем ViewModel

    NavHost(navController = navController, startDestination = "first_screen") {
        composable("first_screen") {
            FirstScreen {
                navController.navigate("auth_screen")
            }
        }
        composable("auth_screen") {
            AuthScreen(navController = navController, mainViewModel = mainViewModel)
        }
        composable("main_screen") {
            MainScreen()
        }
    }
}

@Preview(showBackground = true)
@Composable
fun PreviewAppNavigation() {
    AppNavigation()
}
