package com.example.fitmarcetplacekuzminiv

import androidx.compose.runtime.mutableStateOf
import androidx.lifecycle.ViewModel
import androidx.lifecycle.viewModelScope
import com.example.fitmarcetplacekuzminiv.domain.Constants
import io.github.jan.supabase.gotrue.auth
import io.github.jan.supabase.gotrue.providers.builtin.Email
import kotlinx.coroutines.launch

class MainViewModel : ViewModel() {

    // Состояние для хранения результата авторизации
    var authResult = mutableStateOf("")

    fun onSignInEmailPassword(emailUser: String, passwordUser: String) {
        viewModelScope.launch {
            try {
                val user = Constants.supabase.auth.signInWith(Email) {
                    email = emailUser
                    password = passwordUser
                }
                println("Success")
                authResult.value = "Success" // Устанавливаем успешный результат
            } catch (e: Exception) {
                println("Error")
                authResult.value = "Error" // Устанавливаем ошибочный результат
                println(e.message.toString())
            }
        }
    }
}
